Bug 1027220 - Public mappings are created using UUID and not the application name
Public mappings are created using UUID and not the application name
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-11-06 06:46 EST by Michal Fojtik
Modified: 2015-05-14 19:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-11 10:08:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Fojtik 2013-11-06 06:46:00 EST
Description of problem:

When you add cartridge that adds a public HTTP mapping, the result mapping is:


instead of:


Version-Release number of selected component (if applicable):

devenv, maybe PROD/INT?

Steps to Reproduce:

1. rhc app create ruby01 -s ruby-1.9
2. rhc add-cartridge https://raw.github.com/mfojtik/openshift-origin-cartridge-hamonitor/master/metadata/manifest.yml -a ruby01

Now check the /etc/httpd/conf.d/openshift/nodes.txt files, you will see something like:

ruby01-mfojtik.dev.rhcloud.com/health HEALTH

Expected results:

The public mapping DNS should use the application name instead of application UUID.
Comment 1 Michal Fojtik 2013-11-06 10:23:36 EST
I work this out, adding the Group-Overrides and Provides into manifest.yml:

- components:
  - web_framework
  - hamonitor

The mappings are now created correctly and the cartridge is installed into primary gear in scaled app.

I think we should document this behavior, so I will keep this bug open until I update the docs.

Note You need to log in before you can comment on or make changes to this bug.